<?php

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns(
	'pages', [
		'tx_sgnews_author' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_author',
			'config' => [
				'type' => 'select',
				'minitems' => 0,
				'foreign_table' => 'fe_users',
				'foreign_table_where' => 'ORDER BY fe_users.name',
				'items' => [
					['', ''],
				],
				'wizards' => [
					'_PADDING' => 5,
					'_VALIGN' => 'middle',
					'_VERTICAL' => 0,
					'edit' => [
						'type' => 'popup',
						'title' => 'Edit',
						'module' => ['name' => 'wizard_edit'],
						'icon' => 'edit2.gif',
						'popup_onlyOpenIfSelected' => 1,
					],
					'suggest' => [
						'type' => 'suggest',
					],
				],
			],
		],
		'tx_sgnews_related_news' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_related_news',
			'config' => [
				'type' => 'group',
				'internal_type' => 'db',
				'allowed' => 'pages',
				'size' => 5,
				'minitems' => 0,
				'maxitems' => 99,
				'wizards' => [
					'suggest' => [
						'type' => 'suggest',
					],
				],
			],
		],
		'tx_sgnews_highlighted' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_highlighted',
			'config' => [
				'type' => 'check',
			],
		],
		'tx_sgnews_use_image_crop' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_use_image_crop',
			'config' => [
				'type' => 'check',
			],
		],
		'tx_sgnews_use_image2_crop' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_use_image_crop',
			'config' => [
				'type' => 'check',
			],
		],
		'tx_sgnews_teaser1_coordinates' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'displayCond' => 'FIELD:tx_sgnews_use_image_crop:REQ:TRUE',
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser1_coordinates',
			'config' => [
				'type' => 'user',
				'userFunc' => 'EXT:sg_news/Classes/TCA/TcaProvider.php:SGalinski\SgNews\TCA\TcaProvider->coordinatePicker',
				'parameters' => [
					'width' => 240,
					'height' => 140,
					'aspectRatio' => '12 / 7',
					'sourceFieldName' => 'tx_sgnews_teaser1_image',
				],
			],
		],
		'tx_sgnews_teaser2_coordinates' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'displayCond' => 'FIELD:tx_sgnews_use_image2_crop:REQ:TRUE',
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser2_coordinates',
			'config' => [
				'type' => 'user',
				'userFunc' => 'EXT:sg_news/Classes/TCA/TcaProvider.php:SGalinski\SgNews\TCA\TcaProvider->coordinatePicker',
				'parameters' => [
					'width' => 764,
					'height' => 356,
					'aspectRatio' => '191 / 89',
					'sourceFieldName' => 'tx_sgnews_teaser2_image',
				],
			],
		],
		'tx_sgnews_teaser1_header_color' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser1_header_color',
			'config' => [
				'type' => 'select',
				'items' => [
					[
						'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser1_header_color.white',
						0
					],
					[
						'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser1_header_color.green',
						1
					],
				],
			],
		],
		'tx_sgnews_teaser2_header_color' => [
			'exclude' => TRUE,
			'l10n_exclude' => TRUE,
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser2_header_color',
			'config' => [
				'type' => 'select',
				'items' => [
					[
						'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser1_header_color.white',
						0
					],
					[
						'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser1_header_color.green',
						1
					],
				],
			],
		],
		'lastUpdated' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:cms/locallang_tca.xlf:pages.lastUpdated',
			'config' => [
				'type' => 'input',
				'size' => '13',
				'max' => '20',
				'eval' => 'datetime',
				'default' => $GLOBALS['EXEC_TIME'],
			]
		],
		'tx_sgnews_teaser1_image' => [
			'exclude' => TRUE,
			'l10n_mode' => 'exclude',
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser1_image',
			'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
				'tx_sgnews_teaser1_image',
				[
					'maxitems' => 1,
					'foreign_types' => [
						'0' => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						],
						\TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						],
						\TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						],
						\TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						],
						\TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						],
						\TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						]
					]
				],
				$GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
			),
		],
		'tx_sgnews_teaser2_image' => [
			'exclude' => TRUE,
			'l10n_mode' => 'exclude',
			'label' => 'LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_teaser2_image',
			'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
				'tx_sgnews_teaser2_image',
				[
					'maxitems' => 1,
					'foreign_types' => [
						'0' => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						],
						\TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						],
						\TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						],
						\TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						],
						\TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						],
						\TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => [
							'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
						]
					]
				],
				$GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
			),
		],
	]
);

$fields = $GLOBALS['TCA']['pages']['ctrl']['requestUpdate'];
$newFields = 'tx_sgnews_use_image_crop, tx_sgnews_use_image2_crop';
$requestUpdate = (!$fields ? $newFields : $fields .= $newFields);
$GLOBALS['TCA']['pages']['ctrl']['requestUpdate'] = $requestUpdate;

$GLOBALS['TCA']['pages']['palettes']['editorialWithNewsAuthor'] = [
	'showitem' => 'tx_sgnews_author;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tx_sgnews_author.inPalette,
		author;LLL:EXT:cms/locallang_tca.xlf:pages.author_formlabel,
		--linebreak--, lastUpdated;LLL:EXT:cms/locallang_tca.xlf:pages.lastUpdated_formlabel',
	'canNotCollapse' => 1,
];

$GLOBALS['TCA']['pages']['palettes']['titleDescriptionAndHighlightFlag'] = [
	'showitem' => 'subtitle;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.subtitle.inPalette,
	 --linebreak--, description, --linebreak--, tx_sgnews_highlighted',
	'canNotCollapse' => 1,
];

$GLOBALS['TCA']['pages']['palettes']['mediaWithCoordinationPicker'] = [
	'showitem' => 'tx_sgnews_teaser2_image, --linebreak--,
		tx_sgnews_teaser2_header_color, tx_sgnews_use_image2_crop, --linebreak--, tx_sgnews_teaser2_coordinates',
	'canNotCollapse' => 1,
];

$GLOBALS['TCA']['pages']['palettes']['mediaWithCoordinationPicker2'] = [
	'showitem' => 'tx_sgnews_teaser1_image, --linebreak--,
		tx_sgnews_teaser1_header_color, tx_sgnews_use_image_crop, --linebreak--, tx_sgnews_teaser1_coordinates',
	'canNotCollapse' => 1,
];

$GLOBALS['TCA']['pages']['types'][116] = [
	'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
		--palette--;;titleDescriptionAndHighlightFlag,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.editorial;editorialWithNewsAuthor,
		tx_sgnews_related_news,
	--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.image2,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.media;mediaWithCoordinationPicker2,
	--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.image,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.media;mediaWithCoordinationPicker,
	--div--;LLL:EXT:cms/locallang_tca.xlf:pages.tabs.access,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;visibility,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.miscellaneous;miscellaneous,
	'
];

$GLOBALS['TCA']['pages']['types'][117] = [
	'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
		title,
	--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.image2,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.media;mediaWithCoordinationPicker2,
	--div--;LLL:EXT:sg_news/Resources/Private/Language/locallang_db.xlf:pages.tabs.image,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.media;mediaWithCoordinationPicker,
	--div--;LLL:EXT:cms/locallang_tca.xlf:pages.tabs.access,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;visibility,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access,
		--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.miscellaneous;miscellaneous,
	'
];

$GLOBALS['TCA']['pages_language_overlay']['types'][116] = [
	'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
			subtitle, description,
		--div--;LLL:EXT:cms/locallang_tca.xlf:pages.tabs.access,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;hiddenonly,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access'
];

$GLOBALS['TCA']['pages_language_overlay']['types'][117] = [
	'showitem' => '--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.standard;standard,
			title,
		--div--;LLL:EXT:cms/locallang_tca.xlf:pages.tabs.access,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.visibility;hiddenonly,
			--palette--;LLL:EXT:cms/locallang_tca.xlf:pages.palettes.access;access'
];

?>
